Subject: Re: CVS pserver and CRLF line endings
From: "Gregory W. Bond" <[email-masked]>
To: Mike Bresnahan <[email-masked]>, [email-masked]
Date: Mon, 07 Jan 2002 17:30:46 -0500

mike

try mounting your partitions as text mounts (if you haven't already) and
see if that fixes things - e.g. use cygwin's setup.exe app and choose
DOS not Unix - i have found that this affects the line ending behavior
of cvs

greg

> I am having trouble using the cvs client to access a remote repository via
> the "pserver" protocol.  The line endings on the files are not being
> translated from LF to CRLF.  Subsequently, Visual C++ has trouble with them.
> I've used cvs via the "ext" protocol to access files on sourceforge and not
> had this problem.  I tried setting CYGWIN to "binmode" and "nobinmode", but
> it didn't make any difference.  Can anyone lend me some insight?
>
> Mike
>

--
Gregory W. Bond
AT&T Labs - Research
180 Park Avenue, Rm. D273, Bldg. 103
P.O. Box 971, Florham Park, NJ, 07932-0971, USA
tel: (973) 360 7216 fax: (973) 360 8187

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/